Use this file to discover all available pages before exploring further.
NOTIFY_NOT_ENOUGH_MONEY (type=6)When a withdrawal operation temporarily fails due to insufficient hot wallet balance, WaaS notifies the merchant through this callback. This is a temporary failure state. After the merchant replenishes the hot wallet balance, this withdrawal order will automatically retry.
Merchant must ensure the uniqueness of this callBackId. WaaS will actively callback the merchant carrying this parameter to notify which withdrawal order triggered the callback due to insufficient balance.
After processing the callback, merchants need to return a JSON-formatted response body. The data field must return an RSA-encrypted Base64 string (encrypted using the public key provided by WaaS), while other fields are in plain text:
Encrypted business data, e.g.: BDn6Liv5Z4TJ9vjfd (refer to example on right)Generated by encrypting the following raw business parameters:requestUUID (String) : Unique request identifier, merchant must return the same requestUUID in response to help WaaS confirmtenantUserId (String) : User ID initiating withdrawal (in merchant system, not WaaS system)type (Integer) : Callback typetrackingId (String) : Business event identifiercallBackId (String) : Callback ID